FROM openjdk:8
MAINTAINER r.morgan105@mail.com


RUN curl https://jenkins.xai-corp.net/jnlpJars/jenkins-cli.jar -o /usr/local/bin/jenkins-cli.jar \
 && chmod +x /usr/local/bin/jenkins-cli.jar

ENTRYPOINT [\
    "java",\
    "-jar",\
    "/usr/local/bin/jenkins-cli.jar",\
    "-s",\
    "http://jenkins.xai-corp.net:8080/",\
    "-webSocket",\
    "-auth",\
    "richard:110768be7c9cd91ec076fb14fe4f17463f"\
]

CMD ["declarative-linter", "<", "/opt/project/Jenkinsfile"]
